﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			Pages pages = new Pages();
			this.listBox1.ItemsSource = pages;
			this.book1.ItemsSource = pages;
		}
	}

	public class Pages : ObservableCollection<Page>
	{
		public Pages()
		{
			for (int i = 0; i < 6; i++)
			{
				Page page = new Page();
				page.ImageSource = string.Format("Images/img{0}.jpg", i);
				page.Index = i;
				this.Add(page);
			}
		}
	}

	public class Page
	{
		public string ImageSource { get; set; }
		public int Index { get; set; }
	}
}
